# List request example

A list of **tax systems** and **VAT** available for a country can be obtained by requesting the country ID for which the list is to be obtained.
The country ID can be obtained from [list of countries](#countries).
The list is an array of [tax systems](#fiscalization-tax) with a nested [VAT](#fiscalization-vat) array for each tax system.
**The taxation system** has the following structure:
| Field | Type | Description |
|  --- | --- | --- |
| title | string | Name of taxation system |
| slug | string | Code name for the taxation system |
| vats | Array of objects([Vat](#fiscalization-vat)[]) | List of available VAT for the taxation system |


**VAT** has the following structure:
| Field | Type | Description |
|  --- | --- | --- |
| title | string | Title VAT |
| slug | string | Code name VAT |

Endpoint: GET /integration/kkm/references/tax_system/{country_id}
Version: 1.0.0
Security: BearerPartnerUser

## Security:

  - `BearerPartnerUser` (unknown)
    http bearer Bearer {PartnerToken}, User {UserToken}

## Path parameters:

  - `country_id` (number, required)
    Country ID

## Header parameters:

  - `Accept` (string, required)
    e.g. application/vnd.api.v2+json

  - `Content-Type` (string, required)
    application/json

  - `Authorization` (string, required)
    Bearer partner_token

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `success` (boolean)
    Execution success status (true)

  - `data` (array)
    Array of objects with data

  - `data.title` (string)
    Name of the taxation system

  - `data.slug` (string)
    Code name for the taxation system

  - `data.vats` (array)
    List of available VAT for the taxation system

  - `data.vats.title` (string)
    Name of VAT

  - `data.vats.slug` (string)
    VAT code name

  - `meta` (object)
    Metadata (contains the number of taxation systems found)

  - `meta.count` (integer)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `success` (boolean)
    Response status.
    Example: false

  - `data` (object | null)
    Response data.
    Example: null

  - `meta` (object)
    Additional response data.

  - `meta.message` (string)
    Error message.
    Example: Authentication needed.

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `success` (boolean)
    Response status.
    Example: false

  - `data` (object | null)
    Response data.
    Example: null

  - `meta` (object)
    Additional response data.

  - `meta.message` (string)
    Error message.
    Example: Access denied.

## Response 404:

  - `404` (unknown)
    Not Found

## Response 404 fields (application/json):

  - `success` (boolean)
    Response status.
    Example: false

  - `data` (object | null)
    Response data.
    Example: null

  - `meta` (object | array)
    Additional response data (empty object or empty array)
    Example: {}

